user  www-data;
worker_processes  auto;

error_log  /var/log/nginx/error.log;
pid        /var/run/nginx.pid;

include /etc/nginx/modules-enabled/*.conf;   
daemon off; 


events {
    worker_connections  1024;
}


http {

    ##                                                                                                                                           
    # Basic Settings                                                                                                                             
    ##                                                                                                                                           
                                                                                                                                                    
    sendfile on;                                                                                                                                 
    # tcp_nopush on;                                                                                                                               
    # tcp_nodelay on;                                                                                                                              
    keepalive_timeout 65;                                                                                                                        
    types_hash_max_size 2048;                                                                                                                    
    # server_tokens off;                                                                                                                         
                                                                                                                                                     
    # server_names_hash_bucket_size 64;                                                                                                          
    # server_name_in_redirect off;                                                                                                                

    include       /etc/nginx/mime.types;
    default_type  application/octet-stream;

    log_format  main  '$remote_addr - $remote_user [$time_local] "$request" '
                      '$status $body_bytes_sent "$http_referer" '
                      '"$http_user_agent" "$http_x_forwarded_for"';

    ##                                                                                                                                           
    # SSL Settings                                                                                                                               
    ##                                                                                                                                           
                                                                                                                                                     
    #ssl_protocols TLSv1 TLSv1.1 TLSv1.2; # Dropping SSLv3, ref: POODLE                                                                           
    #ssl_prefer_server_ciphers on;

    ##                                                                                                                                           
    # Logging Settings                                                                                                                           
    ##
    access_log /var/log/nginx/access.log main;                                                                                                    
    
    ##                                                                                                                                           
    # Gzip Settings                                                                                                                              
    ## 
    
    gzip  on;


    ##                                                                                                                                           
    # Virtual Host Configs                                                                                                                       
    ##

    include /etc/nginx/conf.d/*.conf;
    include /etc/nginx/sites-enabled/*; 
}